Generation Framework

## org.eclipse.gmf.mappings
Interface Mapping

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MappingImpl

    public interface Mapping

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Mapping'.

The following features are supported:

- `Nodes`
- `Links`
- `Diagram`
- `Appearance Styles`
- `Audits`
- `Metrics`

See Also:
  `GMFMapPackage.getMapping()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='nodes->forAll(n|n.containmentFeature.oclIsUndefined() and not n.child.domainMetaElement.oclIsUndefined() implies links->exists(let r:ecore::EReference= linkMetaFeature.oclAsType(ecore::EReference) in r.containment and r.eReferenceType.isSuperTypeOf(n.child.domainMetaElement)))' description='Phantom nodes that are not targeted by a link mapping exist'"

Method Summary
`org.eclipse.emf.common.util.EList<StyleSelector>` `getAppearanceStyles()` Returns the value of the 'Appearance Styles' containment reference list.
`AuditContainer` `getAudits()` Returns the value of the 'Audits' containment reference
`CanvasMapping` `getDiagram()` Returns the value of the 'Diagram' containment reference
`org.eclipse.emf.common.util.EList<LinkMapping>` `getLinks()` Returns the value of the 'Links' containment reference list.
`MetricContainer` `getMetrics()` Returns the value of the 'Metrics' containment reference
`org.eclipse.emf.common.util.EList<TopNodeReference>` `getNodes()` Returns the value of the 'Nodes' containment reference list.
`void` `setAudits(AuditContainer value)` Sets the value of the '`Audits`' containment reference
`void` `setDiagram(CanvasMapping value)` Sets the value of the '`Diagram`' containment reference
`void` `setMetrics(MetricContainer value)` Sets the value of the '`Metrics`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNodes

    org.eclipse.emf.common.util.EList<TopNodeReference> getNodes()

  Returns the value of the 'Nodes' containment reference list. The list contents are of type `TopNodeReference`.

  If the meaning of the 'Nodes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nodes' containment reference list.
  See Also:
    `GMFMapPackage.getMapping_Nodes()`
  ** Generated **
  Model:
    containment="true"

### getLinks

    org.eclipse.emf.common.util.EList<LinkMapping> getLinks()

  Returns the value of the 'Links' containment reference list. The list contents are of type `LinkMapping`.

  If the meaning of the 'Links' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Links' containment reference list.
  See Also:
    `GMFMapPackage.getMapping_Links()`
  ** Generated **
  Model:
    containment="true"

### getDiagram

    CanvasMapping getDiagram()

  Returns the value of the 'Diagram' containment reference.

  If the meaning of the 'Diagram' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram' containment reference.
  See Also:
    `setDiagram(CanvasMapping)`, `GMFMapPackage.getMapping_Diagram()`
  ** Generated **
  Model:
    containment="true" required="true"

### setDiagram

    void setDiagram(CanvasMapping value)

  Sets the value of the '`Diagram`' containment reference.

  Parameters:
    `value` - the new value of the 'Diagram' containment reference.
  See Also:
    `getDiagram()`
  ** Generated **

### getAppearanceStyles

    org.eclipse.emf.common.util.EList<StyleSelector> getAppearanceStyles()

  Returns the value of the 'Appearance Styles' containment reference list. The list contents are of type `StyleSelector`.

  If the meaning of the 'Appearance Styles' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Appearance Styles' containment reference list.
  See Also:
    `GMFMapPackage.getMapping_AppearanceStyles()`
  ** Generated **
  Model:
    containment="true"

### getAudits

    AuditContainer getAudits()

  Returns the value of the 'Audits' containment reference.

  Returns:
    the value of the 'Audits' containment reference.
  See Also:
    `setAudits(AuditContainer)`, `GMFMapPackage.getMapping_Audits()`
  ** Generated **
  Model:
    containment="true"

### setAudits

    void setAudits(AuditContainer value)

  Sets the value of the '`Audits`' containment reference.

  Parameters:
    `value` - the new value of the 'Audits' containment reference.
  See Also:
    `getAudits()`
  ** Generated **

### getMetrics

    MetricContainer getMetrics()

  Returns the value of the 'Metrics' containment reference.

  If the meaning of the 'Metrics' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metrics' containment reference.
  See Also:
    `setMetrics(MetricContainer)`, `GMFMapPackage.getMapping_Metrics()`
  ** Generated **
  Model:
    containment="true"

### setMetrics

    void setMetrics(MetricContainer value)

  Sets the value of the '`Metrics`' containment reference.

  Parameters:
    `value` - the new value of the 'Metrics' containment reference.
  See Also:
    `getMetrics()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.